summaryrefslogtreecommitdiffstats
path: root/network/nxclient/nxclient.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/nxclient/nxclient.SlackBuild')
-rw-r--r--network/nxclient/nxclient.SlackBuild19
1 files changed, 13 insertions, 6 deletions
diff --git a/network/nxclient/nxclient.SlackBuild b/network/nxclient/nxclient.SlackBuild
index 9a5c1f8a6a..8a0e18f677 100644
--- a/network/nxclient/nxclient.SlackBuild
+++ b/network/nxclient/nxclient.SlackBuild
@@ -15,12 +15,20 @@ LVERSION=$(printf $VERSION|tr _ -)
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=$ARCH
+elif [[ $ARCH = i?86 ]]; then
+ SRCARCH=i386
+else
+ echo "$ARCH architecture is unsupported." >/dev/stderr
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -42,17 +50,16 @@ mkdir -p $PKG/usr/bin
# installing in /usr/NX looks pretty ugly, maybe better symlink from /opt
mkdir -p $PKG/opt
-tar xvf $CWD/$PRGNAM-$LVERSION.$ARCH.tar.gz -C $PKG/opt
+tar xvf $CWD/$PRGNAM-$LVERSION.$SRCARCH.tar.gz -C $PKG/opt
chown -R root:root $PKG
find $PKG \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-ln -s /opt/NX $PKG/usr/NX
-cd $PKG/usr/bin
-ln -s /usr/NX/bin/$PRGNAM $PRGNAM
+( cd $PKG/usr ; ln -s ../opt/NX NX )
+( cd $PKG/usr/bin ; ln -s ../../opt/NX/bin/$PRGNAM . )
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop